# industry.h File Reference

Base of all industries. More...

`#include "core/pool_type.hpp"`
`#include "newgrf_storage.h"`
`#include "subsidy_type.h"`
`#include "industry_map.h"`
`#include "tilearea_type.h"`

Go to the source code of this file.

## Data Structures
struct | Industry
| Defines the internal data of a functionnal industry. More...
## Defines
#define | FOR_ALL_INDUSTRIES_FROM(var, start) FOR_ALL_ITEMS_FROM(Industry, industry_index, var, start)
#define | FOR_ALL_INDUSTRIES(var) FOR_ALL_INDUSTRIES_FROM(var, 0)
## Typedefs
typedef Pool< Industry, IndustryID, 64, 64000 > | IndustryPool
## Functions
void | PlantRandomFarmField (const Industry *i)
void | ReleaseDisastersTargetingIndustry (IndustryID)
| Marks all disasters targeting this industry in such a way they won't call Industry::Get(v->dest_tile) on invalid industry anymore.
void | SetIndustryDailyChanges ()
## Variables
IndustryPool | _industry_pool

## Detailed Description

Base of all industries.

Definition in file industry.h.

## Function Documentation

void ReleaseDisastersTargetingIndustry | ( | IndustryID | i | ) |

Marks all disasters targeting this industry in such a way they won't call Industry::Get(v->dest_tile) on invalid industry anymore.

Parameters:

  | i | deleted industry

Definition at line 933 of file disaster_cmd.cpp.

References Vehicle::current_order, Vehicle::dest_tile, Order::GetDestination(), Order::SetDestination(), and Vehicle::subtype.